Name:           mcu8051ide
Version:        1.1
Release:        5%{?dist}
Summary:        IDE for MCS-51 based microcontrollers

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://mcu8051ide.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         mcu8051-1.1-desktop-exec-path-fix.patch
Patch1:         mcu8051-1.1-install.sh-spell-cp-p-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  cmake tk-devel tkimg itcl tdom tcllib bwidget rxvt-unicode
BuildRequires:  desktop-file-utils
Requires:       electronics-menu
Requires:       tkimg itcl tdom tcllib bwidget rxvt-unicode sdcc

%description
Integrated Development Enviroment for some MCS-51 based microcontrollers 
(e.g. AT89S8253). Supported languages are assembly and C.

%prep
%setup -q
%patch0 -p1 -b .desktop
%patch1 -p1 -b .sh
rm lib/.tex*
rm lib/.html

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
desktop-file-install --vendor ""  \
--add-category "Electronics"      \
--delete-original                 \
--remove-category "Development"   \
--dir %{buildroot}%{_datadir}/applications/    \
%{buildroot}%{_datadir}/applications/%{name}.desktop
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/demo
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/{README,ChangeLog,LICENSE,TODO}
chmod 0755 %{buildroot}%{_datadir}/%{name}/lib/*.tcl

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README ChangeLog LICENSE TODO
%doc demo/
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/mcu8051ide.desktop
%{_datadir}/man/man1/mcu8051ide.1.gz
%{_datadir}/pixmaps/mcu8051ide.png

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.1-4
- Added Requires: sdcc

* Wed May 27 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.1-3
- Added BuildArch: noarch
- Fixed rpmlint errors
- Make all tcl scripts as executable
- Added patch1 for install.sh spelling mistakes and using -p with cp
- Removed tcl-devel as tk-devel already depends on it

* Tue May 26 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.1-2
- Packaged upstream 1.1 version
- Patch removes Path entry and fixes Exec entry in desktop file

* Wed May 20 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 1.1-1
- Initial Package
